playeffect("bridge",true)

speciale_action(2,125)
speciale_action(2,125,true,3)
speciale_action(2,124,true,2.9)


--setCursor(obj.mini_Nozhnicy_3_0.id,2);
setCursor(obj.door_DorogaKMuzeyu_3_0.id,7);
setCursor(obj.door_OzeroHidden_3_0.id,2);
setCursor(obj.mini_Lily_3_0.id,2);
setCursor(obj.OzeroPlita_3_0.id,2);

setCursor(obj.liliya_blizko_3_0.id,2)

function SelectRandom()

  if obj.koryaga_2_13 and obj.koryaga_2_13.is_collapsed and not neighbors.Lily.lock then
    giveMeHint(obj.mini_Lily_3_0.id);
  return end

  if (obj.gravyura_7_1 and obj.gravyura_7_1.is_collapsed and obj.gravyura_9_1)
  and (obj.gravyura_9_1.is_collapsed and not neighbors.OzeroPlita.lock) then
    giveMeHint(obj.OzeroPlita_3_0.id);
  return end
  if not neighbors.OzeroHidden.lock then
    giveMeHint(obj.door_OzeroHidden_3_0.id);
  return end
  CreatePlashechka("10001")
end;

if flags.hiidenOzero2 then
neighbors.OzeroHidden.lock = false
end;

if neighbors.OzeroHidden.lock then
  set_visible_object(obj.door_OzeroHidden_3_0.id,false)
else
  set_visible_object(obj.door_OzeroHidden_3_0.id,true)
end

if neighbors.Lily.lock then
  StopEmiter("Standart_3_2");
  ActivateObject(obj.liliya_blizko_3_0.id,false)
  setCursor(obj.liliya_blizko_3_0.id,3)
end

if flags.lily then
  set_visible_object(obj.mini_Lily_3_0.id,false)
  set_visible_object(obj.liliya_blizko_3_0.id,true)
else
  set_visible_object(obj.liliya_blizko_3_0.id,false)
end

if neighbors.OzeroPlita.lock then
  set_visible_object(obj.OzeroPlita_3_0.id,false)
end
if neighbors.Nozhnicy.lock then
  set_visible_object(obj.nozhnicy_3_0.id,false)
  set_visible_object(obj.mini_Nozhnicy_3_0.id,false)
end

function gameinput (sender,obj_id,attachedID)
  sendersProcessing(sender,obj_id,attachedID)
  
  if sender==36 then
    StartAnimation(123)
  return;end;
  
  if sender==16 then
    if obj_id==124 then
      speciale_action(2,125,true,3)
      speciale_action(2,124,true,2.9)    
    return;end;
    if obj_id==125 then
      speciale_action(2,124,true,3)
      speciale_action(2,125,true,2.9)    
    return;end;    
  return;end;  
  if sender==1 then
    -- if obj_id == obj.vedro_3_0.id then
    -- StopEmiter("Inv_3_1");
      -- StoreObj(obj.vedro_3_0.id)
      
    -- end
    if obj_id == obj.door_DorogaKMuzeyu_3_0.id then
      jump("DorogaKMuzeyu");
    end;
    if obj_id == obj.door_OzeroHidden_3_0.id then
      flags.is_hidden_loc = true;
      jump("OzeroHidden");
    end;
    -- if obj_id == obj.mini_Nozhnicy_3_0.id then
      -- CreateSatelite("Nozhnicy");
    -- end;
    if obj_id == obj.mini_Lily_3_0.id or obj_id == obj.liliya_blizko_3_0.id then
      CreateSatelite("Lily");
      playeffect("sat")
    end;
    if obj_id == obj.OzeroPlita_3_0.id then
      CreateSatelite("OzeroPlita");
      playeffect("sat")
    end;
  end
  -- if sender == 8 then
    -- dofile("./data/3/0/comics.lua")
  -- end
end


